# ACE_Reference_Pair< T1, T2 > Class Template Reference

Defines a pair that only hold references. More...

`#include <Pair_T.h>`

Collaboration diagram for ACE_Reference_Pair< T1, T2 >:

[legend]
List of all members.

## Public Types

typedef T1 | first_type
typedef T2 | second_type

## Public Member Functions

| ACE_Reference_Pair (T1 &t1, T2 &t2)
| Constructor.
T1 & | first (void) const
| Access first.
T2 & | second (void) const
| Access second.
bool | operator== (const ACE_Reference_Pair< T1, T2 > &rhs) const

## Protected Attributes

T1 & | first_
| First.
T2 & | second_
| Second.

## Detailed Description

### template<class T1, class T2>
class ACE_Reference_Pair< T1, T2 >

Defines a pair that only hold references.

Similar to the STL pair (but restricted to holding references and not copies).

## Member Typedef Documentation

template<class T1, class T2>
typedef T1 ACE_Reference_Pair< T1, T2 >::first_type

template<class T1, class T2>
typedef T2 ACE_Reference_Pair< T1, T2 >::second_type

## Constructor & Destructor Documentation

template<class T1, class T2>
ACE_INLINE ACE_Reference_Pair< T1, T2 >::ACE_Reference_Pair | ( | T1 & | t1,
|  | T2 & | t2
| ) |

| Constructor.

## Member Function Documentation

template<class T1, class T2>
ACE_INLINE T1 & ACE_Reference_Pair< T1, T2 >::first | ( | void |  | ) | const

| Access first.

template<class T1, class T2>
ACE_INLINE bool ACE_Reference_Pair< T1, T2 >::operator== | ( | const ACE_Reference_Pair< T1, T2 > & | rhs | ) | const

template<class T1, class T2>
ACE_INLINE T2 & ACE_Reference_Pair< T1, T2 >::second | ( | void |  | ) | const

| Access second.

## Member Data Documentation

template<class T1, class T2>
T1& ACE_Reference_Pair< T1, T2 >::first_`[protected]`

| First.

template<class T1, class T2>
T2& ACE_Reference_Pair< T1, T2 >::second_`[protected]`

| Second.

The documentation for this class was generated from the following files:

- Pair_T.h
- Pair_T.inl